I drag-installed Joval for OSX using the DMG, but it doesn't start.

You May Need An Update

Try downloading and installing the latest version of Joval. Previous versions of Joval for Mac OS X were designed to work with OS X as early as Snow Leopard, which in turn required Apple’s last version of Java to be installed on your computer.

The latest version of Joval is designed to work with Mac OS X Lion and later.  If you need to run Joval Professional on Snow Leopard, please contact us for the appropriate DMG.